@set @x=0 /*
@echo off
>nul 2>&1 fsutil dirty query %systemdrive%
if errorlevel 1 start "" cscript //nologo /e:jscript "%~f0" &goto :eof

%~d0
cd %~p0

if exist frame.bak (
  echo Найдена резервная копия frame.dll как frame.bak
  echo Пропуск создания резервной копии
) else (
  echo Создание резервной копии frame.dll как frame.bak ...
  copy frame.dll frame.bak
)
echo Поиск и изменение необходимой сигнатуры в frame.dll для x64 платформ ...
sfk.exe rep frame.dll -firsthit -bin /85C07E2083E8018947107518/85C07E2083E801894710EB18/ -yes
echo Поиск и изменение необходимой сигнатуры в frame.dll для x32 платформ ...
sfk.exe rep frame.dll -firsthit -bin /83C0FF89470C7517/83C0FF89470CEB17/ -yes

pause

goto :eof

*/
var WShell = new ActiveXObject("WScript.Shell");
var Env = WShell.Environment("PROCESS");
var ShellApp = new ActiveXObject("Shell.Application");
ShellApp.ShellExecute(Env("COMSPEC"), ' /k ""' + WScript.ScriptFullName + '""', "", "runas", 1);
